Mantis Bugtracker 

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008192TestLinkBug Tracking System - Redmine Integrationpublic2018-02-06 23:542018-02-24 12:24
Assigned Tofman 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008192: Notes are not added to Redmine because user impersonation fails when TestLink user is not a Redmine user (reporter)
DescriptionWhen a Redmine's bug is linked to a test case execution, you can add notes to the bug
from TestLink user interface, but this is done in Redmine using the current TL user as Reporter.

This means that the current TL user must exist in Redmine but, also, it must have the Reporter role in the project configured in the bugtracking interface set in TL.
The issue is this: if the Reporter user is not set in Redmine, this will return an HTTP code 412 without any other explanation.
TestLink should intercept this error and show a message. Currently you don't see any error in TL user interface that warn about the problem.
This is why the issue has been set as Major severity.

Reference in Redmine Rest API is in [^]
Steps To ReproduceHaving any linked Redmine bug in an executed test case, try to add a note to the bug using the TestLink user interface.
Additional InformationInfo reported in log (example):

[>>][5a7a29e3a69a5419593913][DEFAULT][/testlink/lib/execute/bugAdd.php][18/Feb/6 22:19:15]
    [18/Feb/6 22:19:16][WARNING][khs9iahug384pu18mo7s89cr53][GUI]
        REDMINE Add Note to Ticket FAILURE => redmine::_requesturl:http://localhost:3000 [^] - response:{"url":"http:\/\/localhost:3000\/issues\/6.xml","content_type":"application\/xml",
1.266,"redirect_time":0,"redirect_url":"","primary_ip":"","certinfo":[],"primary_port":3000,"local_ip":"","local_port":51981} - content: ""
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
BrowserFirefox quantum 58.0.1 64 bits
PHP Version5.6.11
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
fman (administrator)
2018-02-10 08:52

please get latest code from github, do fresh install, retest & provide feedback
fman (administrator)
2018-02-24 11:13

User Impersonation
As of Redmine 2.2.0, you can impersonate user through the REST API by setting the X-Redmine-Switch-User header of your API request. It must be set to a user login (eg. X-Redmine-Switch-User: jsmith). This only works when using the API with an administrator account, this header will be ignored when using the API with a regular user account.

If the login specified with the X-Redmine-Switch-User header does not exist or is not active, you will receive a 412 error response.
fman (administrator)
2018-02-24 12:22 [^]

- Issue History
Date Modified Username Field Change
2018-02-06 23:54 hgc2002 New Issue
2018-02-10 08:52 fman Note Added: 0027184
2018-02-10 08:52 fman Assigned To => fman
2018-02-10 08:52 fman Status new => feedback
2018-02-24 09:32 fman Status feedback => assigned
2018-02-24 11:13 fman Note Added: 0027230
2018-02-24 12:22 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-02-24 12:22 fman Note Added: 0027231
2018-02-24 12:22 fman Status assigned => resolved
2018-02-24 12:22 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-02-24 12:22 fman Resolution open => fixed
2018-02-24 12:23 fman Description Updated View Revisions
2018-02-24 12:24 fman Database (MySQL,Postgres,etc) MySQL 5.6, but it really doesn't matter => N/A
2018-02-24 12:24 fman Additional Information Updated View Revisions
2018-02-24 12:24 fman Relationship added child of 0007817

Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker